| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Digikam::WSToolUtils Class Reference

## Static Public Member Functions
static void | clearToken (const QString &name)
static QString | decodeKey (const QString &key)
static QSettings * | getOauthSettings (QObject *const parent)
static QDir | makeTemporaryDir (const char *prefix)
static QString | randomString (const int &length)
| Generates random string.
static QString | readToken (const QString &name)
static void | removeTemporaryDir (const char *prefix)
static void | saveToken (const QString &name, const QString &token)